vfio.hh File Reference
`#include <set>`
`#include <vector>`
`#include <mia/core/ioplugin.hh>`
`#include <mia/core/iohandler.hh>`
`#include <mia/3d/vectorfield.hh>`
Include dependency graph for 3d/vfio.hh:

Go to the source code of this file.

## Data Structures

class | C3DIOVectorfield
| An interface class to wrap a vector field into something, IO plugins can understand. More...

## Typedefs

typedef TIOPlugin< C3DIOVectorfield > | C3DVFIOPlugin
| Base class for vector field IO plug-ins.
typedef THandlerSingleton< TIOPluginHandler< C3DVFIOPlugin > > | C3DVFIOPluginHandler
| Plug-in handler for vector field IO.

## Variables

template class EXPORT_3D | THandlerSingleton< TIOPluginHandler< C3DVFIOPlugin > >
template class EXPORT_3D | TIOPlugin< C3DIOVectorfield >
template class EXPORT_3D | TIOPluginHandler< C3DVFIOPlugin >
template class EXPORT_3D | TPlugin< C3DIOVectorfield, io_plugin_type >
template<>
const char *const | TPluginHandler< C3DVFIOPlugin >::m_help

## Variable Documentation

## THandlerSingleton< TIOPluginHandler< C3DVFIOPlugin > >

template class EXPORT_3D THandlerSingleton< TIOPluginHandler< C3DVFIOPlugin > >

extern

## TIOPlugin< C3DIOVectorfield >

template class EXPORT_3D TIOPlugin< C3DIOVectorfield >

extern

## TIOPluginHandler< C3DVFIOPlugin >

template class EXPORT_3D TIOPluginHandler< C3DVFIOPlugin >

extern

## TPlugin< C3DIOVectorfield, io_plugin_type >

template class EXPORT_3D TPlugin< C3DIOVectorfield, io_plugin_type >

extern

## TPluginHandler< C3DVFIOPlugin >::m_help

template<>

const char* const TPluginHandler< C3DVFIOPlugin >::m_help

Definition at line 66 of file 3d/vfio.hh.